Loading...
Searching...
No Matches
AudioDevices.h File Reference

Header file for Audio Device Info struct. More...

`#include <string>`
`#include <vector>`
`#include <OpenShotAudio.h>`

Go to the source code of this file.

## Classes

struct | openshot::AudioDeviceInfo
| This struct hold information about Audio Devices. More...
class | openshot::AudioDevices
| A class which probes the available audio devices. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Typedefs

using | openshot::AudioDeviceList = std::vector< std::pair< std::string, std::string > >

## Detailed Description

Header file for Audio Device Info struct.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file AudioDevices.h.